PARALLEL-SLURP(1)

NAME
parallel-slurp - copy files from listed hosts

SYNOPSIS
parallel-slurp [OPTIONS] -h hosts.txt -L destdir remote local

DESCRIPTION
pssh provides a number of commands for executing against a group of computers, using SSH. It's most useful for operating on clusters of homogenously-configured hosts.

parallel-slurp gathers specified files from hosts you listed.

OPTIONS

-r --recursive
    recusively copy directories (OPTIONAL)

-L --localdir
    output directory for remote file copies

-h --hosts
    hosts file (each line "host[:port] [user]")

-l --user
    username (OPTIONAL)

-p --par
    max number of parallel threads (OPTIONAL)

-o --outdir
    output directory for stdout files (OPTIONAL)

-e --errdir
    output directory for stderr files (OPTIONAL)

-t --timeout
    timeout (secs) (-1 = no timeout) per host (OPTIONAL)

-O --options
    SSH options (OPTIONAL)

-v --verbose
    turn on warning and diagnostic messages (OPTIONAL)

EXAMPLE
An example to copy /home/irb2/foo.txt from each host. Files gathered will be stored in /tmp/outdir/hostname/foo.txt.

    # prallel-slurp -h hosts.txt -L /tmp/outdir -l irb2 \
             /home/irb2/foo.txt foo.txt

ENVIRONMENT
All four programs take similar sets of options. All of these options can be set using the following environment variables:

    • PSSH_HOSTS
    • PSSH_USER
    • PSSH_PAR
    • PSSH_OUTDIR
    • PSSH_VERBOSE
    • PSSH_OPTIONS

SEE ALSO
parallel-ssh(1), parallel-scp(1), parallel-nuke(1), parallel-rsync(1), ssh(1)

AUTHOR
Brent N. Chun <bnc@theether.org>

COPYING
Copyright: 2003, 2004, 2005, 2006, 2007 Brent N. Chun

NOTES

1.  bnc@theether.org
    mailto:bnc@theether.org